> For the complete documentation index, see [llms.txt](https://docs.apono.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apono.io/docs/connectors-and-secrets/apono-integration-secret/creating-secrets-in-google-secret-manager.md).

# Creating Secrets in Google Secret Manager

Create a secret for your GCP integration

A connector uses a secret to connect Apono to the GCP environment cloud resources without storing any credentials. For GCP-based integrations, secrets are created and managed through [Google Secret Manager](https://cloud.google.com/security/products/secret-manager), a centralized, secure repository for storing this confidential information.

***

### Prerequisites

<table><thead><tr><th width="257">Item</th><th>Description</th></tr></thead><tbody><tr><td><strong>Google Secret Manager</strong></td><td><a href="https://cloud.google.com/security/products/secret-manager">Google solution</a> for secure secret storage, key management, and certificate management<br><br>For more information on enabling, assigning, and authenticating Secret Manager, see <a href="https://cloud.google.com/secret-manager/docs/creating-and-accessing-secrets#before_you_begin">Google’s documentation</a>.<br><br></td></tr><tr><td><strong>Secret Manager Permissions</strong></td><td>Apono-specific permissions that allow the Secret Manager Secret Accessor to access your secret<br><br>To ensure that the Apono Connector can retrieve the secret, assign the following Secret Accessor role on the project or organization:<br><br><code>roles/secretmanager.secretAccessor</code><br><br></td></tr></tbody></table>

\\

***

### Create a Google Secret

{% hint style="info" %}
For more information on creating secrets, see [Google’s documentation](https://cloud.google.com/secret-manager/docs/creating-and-accessing-secrets).
{% endhint %}

Follow these steps to create a secret in Google Secret Manager:

1. In Google Secret Manager, select **Create Secret**. The **Create Secret** page appears.
2. Enter an alphanumeric **Name** for the secret.

{% hint style="info" %}
The secret name can contain hyphens and underscores. The maximum allowed length is **255 characters**.
{% endhint %}

3. Click **Create secret**.

{% hint style="success" %}
Once the secret has been created, you can retrieve the secret version ID to reference in your code.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apono.io/docs/connectors-and-secrets/apono-integration-secret/creating-secrets-in-google-secret-manager.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
